Loading...
Searching...
No Matches
SchemaReverse::AbstractReverseObject Class Reference

A basic class for all SchemaReverse DB object related classes. More...

Inheritance diagram for SchemaReverse::AbstractReverseObject:
[legend]

## Public Member Functions

| constructor (AbstractDatasource ds, string name)
Database | database ()
AbstractDatasource | datasource ()
string | name ()
abstract any | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here.
string | toString ()
| Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore().

## Detailed Description

A basic class for all SchemaReverse DB object related classes.

It provides basic shared functionality for all specialized object related classes.

All inherited classes must implement abstract method AbstractReverseObject::toQore() for object related functionality.

## Member Function Documentation

## constructor()

SchemaReverse::AbstractReverseObject::constructor | ( | AbstractDatasource | ds,
|  | string | name )

Setup basic shared attributes.

Parameters

  ds | a AbstractDatasource with DB connection
  name | a string with exact name or regex to match names of DB objects

## database()

Database SchemaReverse::AbstractReverseObject::database | ( |  | ) |

Returns
  current SqlUtil::database object when required

## datasource()

AbstractDatasource SchemaReverse::AbstractReverseObject::datasource | ( |  | ) |

Returns
  current AbstractDatasource

## name()

string SchemaReverse::AbstractReverseObject::name | ( |  | ) |

Returns
  a string with exact name or regex to match names

## toQore()

abstract any SchemaReverse::AbstractReverseObject::toQore | ( |  | ) |

Dedicated functionlity to get DB object info into the internal structure is done here.

All inherited classes must implement this method to get all required DB metadata in proper format

## toString()

string SchemaReverse::AbstractReverseObject::toString | ( |  | ) |

Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore().

Returns
  string with final Qore source code